﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CONMAS]') AND name = N'XCONMAS1')
BEGIN 
PRINT 'Creating index XCONMAS1 on table CONMAS'
CREATE UNIQUE NONCLUSTERED INDEX [XCONMAS1] ON [dbo].[CONMAS] 
(
	[PONO] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CONMAS' AND COLUMN_NAME = 'IBTI' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CONMAS_IBTI')
BEGIN 
    PRINT 'Creating default constraint DF_CONMAS_IBTI on table CONMAS' 
    ALTER TABLE [dbo].[CONMAS]
    ADD CONSTRAINT [DF_CONMAS_IBTI] DEFAULT ((0)) FOR [IBTI]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CONMAS' AND COLUMN_NAME = 'DONE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CONMAS_DONE')
BEGIN 
    PRINT 'Creating default constraint DF_CONMAS_DONE on table CONMAS' 
    ALTER TABLE [dbo].[CONMAS]
    ADD CONSTRAINT [DF_CONMAS_DONE] DEFAULT ((0)) FOR [DONE]
END 
GO

